## GoaMaps GoaMaps — Generated C code for the org.gnome.OnlineAccounts.Maps D-Bus interface |

## Functions

GDBusInterfaceInfo * | goa_maps_interface_info ()
guint | goa_maps_override_properties ()

## Types and Values

| GoaMaps
struct | GoaMapsIface
struct | GoaMapsProxy
struct | GoaMapsProxyClass
struct | GoaMapsSkeleton
struct | GoaMapsSkeletonClass

## Object Hierarchy

        GInterface
        ╰── GoaMaps
        GObject
        ├── GDBusInterfaceSkeleton
        │   ╰── GoaMapsSkeleton
        ╰── GDBusProxy
            ╰── GoaMapsProxy

## Prerequisites

GoaMaps requires GObject.

## Implemented Interfaces

GoaMapsProxy implements GDBusInterface, GInitable, GAsyncInitable and GoaMaps.

GoaMapsSkeleton implements GDBusInterface and GoaMaps.

## Known Implementations

GoaMaps is implemented by GoaMapsProxy and GoaMapsSkeleton.

## Description

This section contains code for working with the org.gnome.OnlineAccounts.Maps D-Bus interface in C.

## Functions

### goa_maps_interface_info ()

    GDBusInterfaceInfo *
    goa_maps_interface_info (void);

`goa_maps_interface_info` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Gets a machine-readable description of the org.gnome.OnlineAccounts.Maps D-Bus interface.

#### Returns

A GDBusInterfaceInfo. Do not free.

[transfer none]

Since: 3.14.0

### goa_maps_override_properties ()

    guint
    goa_maps_override_properties (GObjectClass *klass,
                                  guint property_id_begin);

`goa_maps_override_properties` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Overrides all GObject properties in the GoaMaps interface for a concrete class. The properties are overridden in the order they are defined.

#### Parameters

klass | The class structure for a GObject derived class. |
property_id_begin | The property id to assign to the first overridden property. |

#### Returns

The last property id.

Since: 3.14.0

## Types and Values

### GoaMaps

    typedef struct _GoaMaps GoaMaps;

`GoaMaps` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Abstract interface type for the D-Bus interface org.gnome.OnlineAccounts.Maps.

Since: 3.14.0

### struct GoaMapsIface

    struct GoaMapsIface {
      GTypeInterface parent_iface;
    };

`GoaMapsIface` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Virtual table for the D-Bus interface org.gnome.OnlineAccounts.Maps.

#### Members

GTypeInterface `parent_iface`; | The parent interface. |

Since: 3.14.0

### struct GoaMapsProxy

    struct GoaMapsProxy;

`GoaMapsProxy` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

The GoaMapsProxy structure contains only private data and should only be accessed using the provided API.

Since: 3.14.0

### struct GoaMapsProxyClass

    struct GoaMapsProxyClass {
      GDBusProxyClass parent_class;
    };

`GoaMapsProxyClass` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Class structure for GoaMapsProxy.

#### Members

Since: 3.14.0

### struct GoaMapsSkeleton

    struct GoaMapsSkeleton;

`GoaMapsSkeleton` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

The GoaMapsSkeleton structure contains only private data and should only be accessed using the provided API.

Since: 3.14.0

### struct GoaMapsSkeletonClass

    struct GoaMapsSkeletonClass {
      GDBusInterfaceSkeletonClass parent_class;
    };

`GoaMapsSkeletonClass` is deprecated and should not be used in newly-written code.

The D-Bus interface has been deprecated.

Class structure for GoaMapsSkeleton.

#### Members

Since: 3.14.0